<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.batch-jberet.thread-pool.keepalive-time">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="time,unit"/>
        <elem name="complex-attribute" value="keepalive-time"/>
        <elem name="addr-params" value="profile,subsystem,thread-pool"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.batch-jberet"/>
    </annotation>
    <refs>
        <ref feature="subsystem.batch-jberet.thread-pool"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="subsystem" feature-id="true" default="batch-jberet"/>
        <param name="thread-pool" feature-id="true"/>
        <param name="unit"/>
        <param name="time"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>